/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package matrix;

public class Main {
  public static void main(String[] args) throws MatrixException, NullPointerException {
  Operation operation = new Operation();

  int n = 3;
  int m = 3;

  Matrix matrix1 = new Matrix(n, m);
  Matrix matrix2 = new Matrix(n, m);
  matrix1.generate(); //генерирую матрицу 1
  matrix2.generate(); //генерирую матрицу 2

  int[][] additionMatrix = operation.addition(matrix1, matrix2);
  System.out.println("Сложение: ");
  operation.printMatrix(additionMatrix);

  int[][] subtractionMatrix = operation.subtraction(matrix1, matrix2);
  System.out.println("Вычитание: ");
  operation.printMatrix(subtractionMatrix);

  int[][] multiplyMatrix = operation.multiply(matrix1, matrix2);
  System.out.println("Умножение: ");
  operation.printMatrix(multiplyMatrix);
  }
}
